PDA

View Full Version : will 1946 be necessary for B.o.B storms of war?



pterodactyl77
07-12-2007, 07:05 PM
anyone know? will BOB be a stand-alone?
trying to save $30 here....... thxs.

Chivas
07-12-2007, 07:11 PM
Its a stand alone combat flight sim (SOW BOB) built on a new engine that won't be compatible with any of the IL-2 series.

BOB will be the part of a new series call The Storm of War. Future paid add-ons will incompass theaters throughout World War 11. The next addon/standalone is rumoured to be The Med Theater (SOW MED)

Eldude95
07-12-2007, 07:22 PM
Doh! What you talkin about there werent eleven
WW. http://forums.ubi.com/images/smilies/53.gif

tagTaken2
07-13-2007, 10:22 AM
Originally posted by Chivas:
The next addon/standalone is rumoured to be The Med Theater (SOW MED)

What about the Unnamed Title(Korea)? I was hoping this would be released around the same time as BoB

Chivas
07-13-2007, 11:11 AM
Not being that interested in jets, I haven't followed the developement of the Korean war project. I know its being done by a third party(Ilya?), and not sure which engine it will be using, probably the SOW engine.

Olegs crew will stay with WW2 theaters for sometime, and like I said the Med is rumoured to be their next project for the SOW series. http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif